import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsStaticRouteListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.RouteAPIResultNM]
    entry_count: int


class CloudapiVinsStaticRouteListProtocol(_base.BasePostAPIFunctionProtocol):
    def static_route_list(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsStaticRouteListResultModel:
        ...
